> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Status Page Update



## OpenAPI

````yaml PATCH /api/v1/status-pages/{statusPageId}/updates/{updateId}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/updates/{updateId}:
    patch:
      tags:
        - status-pages
      summary: Update a status page update
      operationId: ManagementStatusPageUpdateItemController_update_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
        - name: updateId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStatusPageUpdateDto'
      responses:
        '200':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    UpdateStatusPageUpdateDto:
      type: object
      properties:
        title:
          type: string
        body:
          type: string
        state:
          type: string
          enum:
            - draft
            - published
        impact:
          type: string
          enum:
            - none
            - minor
            - major
            - critical
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````